Debian Bug report logs - #502043
virtualbox-ose: Virtual machines freeze after suspend or hibernate

version graph

Package: virtualbox-ose; Maintainer for virtualbox-ose is Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>; Source for virtualbox-ose is src:virtualbox.

Reported by: Tim Richardson <tim@tim-richardson.net>

Date: Sun, 12 Oct 2008 23:21:01 UTC

Severity: important

Found in version virtualbox-ose/1.6.6-dfsg-2

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://www.virtualbox.org/ticket/1660

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#502043; Package virtualbox-ose. (Sun, 12 Oct 2008 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
New Bug report received and forwarded. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Sun, 12 Oct 2008 23:21:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: virtualbox-ose: Virtual machines freeze after suspend or hibernate
Date: Mon, 13 Oct 2008 10:16:54 +1100
Package: virtualbox-ose
Version: 1.6.6-dfsg-2
Severity: important

I upgraded to the sid packages. Found no module for my 686 kernel so I built one with module assistant.

I have three virtual machines: a Debian VM, and two XP machines.
They all now freeze after suspend or hibernate on my laptop, which for me is a problem of severity grave.

I reverted to the testing versions, but had the same problem, so perhaps this is something introduced by recent kernel changes. I will test that.
I file this bug in case it is known already to the maintainers.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages virtualbox-ose depends on:
ii  adduser                    3.110         add and remove users and groups
ii  debconf [debconf-2.0]      1.5.23        Debian configuration management sy
ii  libc6                      2.7-14        GNU C Library: Shared libraries
ii  libgcc1                    1:4.3.2-1     GCC support library
ii  libgl1-mesa-glx [libgl1]   7.0.3-6       A free implementation of the OpenG
ii  libglib2.0-0               2.16.6-1      The GLib library of C routines
ii  libidl0                    0.8.10-0.1    library for parsing CORBA IDL file
ii  libqt3-mt                  3:3.3.8b-5    Qt GUI Library (Threaded runtime v
ii  libsdl1.2debian            1.2.13-3      Simple DirectMedia Layer
ii  libstdc++6                 4.3.2-1       The GNU Standard C++ Library v3
ii  libx11-6                   2:1.1.5-2     X11 client-side library
ii  libxcursor1                1:1.1.9-1     X cursor management library
ii  libxml2                    2.6.32.dfsg-4 GNOME XML library
ii  libxslt1.1                 1.1.24-2      XSLT processing library - runtime 
ii  libxt6                     1:1.0.5-3     X11 toolkit intrinsics library

Versions of packages virtualbox-ose recommends:
ii  virtualbox-ose-mod 1.6.6-dfsg-2+2.6.26-7 VirtualBox modules for Linux (kern

Versions of packages virtualbox-ose suggests:
pn  bridge-utils                <none>       (no description available)
ii  virtualbox-ose-source       1.6.6-dfsg-2 x86 virtualization solution - kern

-- debconf information:
* virtualbox-ose/upstream_version_change: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#502043; Package virtualbox-ose. (Mon, 13 Oct 2008 03:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Mon, 13 Oct 2008 03:54:02 GMT) Full text and rfc822 format available.

Message #10 received at 502043@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: 502043@bugs.debian.org
Subject: Attached are good and bad .xml config files
Date: Mon, 13 Oct 2008 14:50:22 +1100
[Message part 1 (text/plain, inline)]
I had this problem in upgrading before, and the same solution worked:
delete the virtual machine and start again (keeping the same virtual
disk, of course).
I think the only change I make when I do this is to the .xml file.

Attached is the new, working one, and the old one which does causes the
virtual machine to crash on suspend.

Perhaps it gives a clue to the problem.


[Debian.xml (application/xml, attachment)]
[Debian.xml_old (application/xml, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#502043; Package virtualbox-ose. (Mon, 13 Oct 2008 20:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Mon, 13 Oct 2008 20:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 502043@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: 502043@bugs.debian.org
Subject: hardware virtualisation is the problem
Date: Tue, 14 Oct 2008 07:47:04 +1100
The VM only resumes correctly if
<HardwareVirtEx enabled="false"/>





Noted your statement that Bug has been forwarded to http://www.virtualbox.org/ticket/1660. Request was from Tim Richardson <tim@tim-richardson.net> to control@bugs.debian.org. (Mon, 13 Oct 2008 21:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#502043; Package virtualbox-ose. (Thu, 30 Oct 2008 12:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Thu, 30 Oct 2008 12:45:02 GMT) Full text and rfc822 format available.

Message #22 received at 502043@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: 502043@bugs.debian.org
Date: Thu, 30 Oct 2008 23:41:53 +1100
Upstream says it won't be fixed until the next major release after
2.0.4. 

Here is a hack fix I've made to at least protect from data loss.


create /usr/lib/pm-utils/sleep.d/00virtualBox and make it executable

put this in the script. I have hardcoded for the only VM I care about,
and you need to run it as the user who runs the virtual machine.

Obviously very ugly, but does the job. 


#!/bin/sh

#. "${PM_FUNCTIONS}"

case "$1" in
	hibernate|suspend)
		#suspend_nm
                sudo -u tim VBoxManage controlvm XP savestate
		;;
	thaw|resume)
		#resume_nm
		;;
	*) exit $NA
		;;
esac








Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Mon, 23 Feb 2009 12:21:02 GMT) Full text and rfc822 format available.

Notification sent to Tim Richardson <tim@tim-richardson.net>:
Bug acknowledged by developer. (Mon, 23 Feb 2009 12:21:02 GMT) Full text and rfc822 format available.

Message #27 received at 502043-done@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 502043-done@bugs.debian.org
Subject: Fixed in 2.1.0
Date: Mon, 23 Feb 2009 13:20:05 +0100
With VBox 2.1.x now in sid this report can be closed.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Mar 2009 07:30:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:36:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.